install.php 1.14 KB
Newer Older
1 2
<?php

3 4 5 6 7
/**
 * @file
 * Initiates a browser-based installation of Drupal.
 */

8 9 10
// Change the directory to the Drupal root.
chdir('..');

11 12 13
/**
 * Root directory of Drupal installation.
 */
14
define('DRUPAL_ROOT', getcwd());
15

16 17
/**
 * Global flag to indicate that site is in installation mode.
18 19 20 21
 *
 * This constant is defined using define() instead of const so that PHP
 * versions older than 5.3 can display the proper PHP requirements instead of
 * causing a fatal error.
22
 */
23
define('MAINTENANCE_MODE', 'install');
24

25
// Exit early if running an incompatible PHP version to avoid fatal errors.
26 27 28
// The minimum version is specified explicitly, as DRUPAL_MINIMUM_PHP is not
// yet available. It is defined in bootstrap.inc, but it is not possible to
// load that file yet as it would cause a fatal error on older versions of PHP.
29 30
if (version_compare(PHP_VERSION, '5.3.3') < 0) {
  print 'Your PHP installation is too old. Drupal requires at least PHP 5.3.3. See the <a href="http://drupal.org/requirements">system requirements</a> page for more information.';
31 32 33
  exit;
}

34
// Start the installer.
35
require_once DRUPAL_ROOT . '/core/includes/install.core.inc';
36
install_drupal();